/*
 * Copyright (c) 2024 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: Apache-2.0
 */

/* This file was automatically generated by create_psa_files.py
 * from: ../../../modules/crypto/mbedtls/include/psa/crypto_config.h
 * Do not edit it manually.
 */

#ifndef CONFIG_PSA_H
#define CONFIG_PSA_H

#if defined(CONFIG_PSA_WANT_ALG_CBC_NO_PADDING)
#define PSA_WANT_ALG_CBC_NO_PADDING   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CBC_PKCS7)
#define PSA_WANT_ALG_CBC_PKCS7   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CCM)
#define PSA_WANT_ALG_CCM   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CCM_STAR_NO_TAG)
#define PSA_WANT_ALG_CCM_STAR_NO_TAG   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CMAC)
#define PSA_WANT_ALG_CMAC   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CFB)
#define PSA_WANT_ALG_CFB   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CHACHA20_POLY1305)
#define PSA_WANT_ALG_CHACHA20_POLY1305   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_CTR)
#define PSA_WANT_ALG_CTR   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_DETERMINISTIC_ECDSA)
#define PSA_WANT_ALG_DETERMINISTIC_ECDSA   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_ECB_NO_PADDING)
#define PSA_WANT_ALG_ECB_NO_PADDING   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_ECDH)
#define PSA_WANT_ALG_ECDH   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_FFDH)
#define PSA_WANT_ALG_FFDH   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_ECDSA)
#define PSA_WANT_ALG_ECDSA   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_JPAKE)
#define PSA_WANT_ALG_JPAKE   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_GCM)
#define PSA_WANT_ALG_GCM   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_HKDF)
#define PSA_WANT_ALG_HKDF   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_HKDF_EXTRACT)
#define PSA_WANT_ALG_HKDF_EXTRACT   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_HKDF_EXPAND)
#define PSA_WANT_ALG_HKDF_EXPAND   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_HMAC)
#define PSA_WANT_ALG_HMAC   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_MD5)
#define PSA_WANT_ALG_MD5   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_OFB)
#define PSA_WANT_ALG_OFB   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_PBKDF2_HMAC)
#define PSA_WANT_ALG_PBKDF2_HMAC   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_PBKDF2_AES_CMAC_PRF_128)
#define PSA_WANT_ALG_PBKDF2_AES_CMAC_PRF_128   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_RIPEMD160)
#define PSA_WANT_ALG_RIPEMD160   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_RSA_OAEP)
#define PSA_WANT_ALG_RSA_OAEP   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_RSA_PKCS1V15_CRYPT)
#define PSA_WANT_ALG_RSA_PKCS1V15_CRYPT   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_RSA_PKCS1V15_SIGN)
#define PSA_WANT_ALG_RSA_PKCS1V15_SIGN   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_RSA_PSS)
#define PSA_WANT_ALG_RSA_PSS   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA_1)
#define PSA_WANT_ALG_SHA_1   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA_224)
#define PSA_WANT_ALG_SHA_224   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA_256)
#define PSA_WANT_ALG_SHA_256   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA_384)
#define PSA_WANT_ALG_SHA_384   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA_512)
#define PSA_WANT_ALG_SHA_512   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA3_224)
#define PSA_WANT_ALG_SHA3_224   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA3_256)
#define PSA_WANT_ALG_SHA3_256   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA3_384)
#define PSA_WANT_ALG_SHA3_384   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_SHA3_512)
#define PSA_WANT_ALG_SHA3_512   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_STREAM_CIPHER)
#define PSA_WANT_ALG_STREAM_CIPHER   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_TLS12_PRF)
#define PSA_WANT_ALG_TLS12_PRF   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_TLS12_PSK_TO_MS)
#define PSA_WANT_ALG_TLS12_PSK_TO_MS   1
#endif

#if defined(CONFIG_PSA_WANT_ALG_TLS12_ECJPAKE_TO_PMS)
#define PSA_WANT_ALG_TLS12_ECJPAKE_TO_PMS   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_BRAINPOOL_P_R1_256)
#define PSA_WANT_ECC_BRAINPOOL_P_R1_256   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_BRAINPOOL_P_R1_384)
#define PSA_WANT_ECC_BRAINPOOL_P_R1_384   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_BRAINPOOL_P_R1_512)
#define PSA_WANT_ECC_BRAINPOOL_P_R1_512   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_MONTGOMERY_255)
#define PSA_WANT_ECC_MONTGOMERY_255   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_MONTGOMERY_448)
#define PSA_WANT_ECC_MONTGOMERY_448   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_K1_192)
#define PSA_WANT_ECC_SECP_K1_192   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_K1_256)
#define PSA_WANT_ECC_SECP_K1_256   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_R1_192)
#define PSA_WANT_ECC_SECP_R1_192   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_R1_224)
#define PSA_WANT_ECC_SECP_R1_224   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_R1_256)
#define PSA_WANT_ECC_SECP_R1_256   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_R1_384)
#define PSA_WANT_ECC_SECP_R1_384   1
#endif

#if defined(CONFIG_PSA_WANT_ECC_SECP_R1_521)
#define PSA_WANT_ECC_SECP_R1_521   1
#endif

#if defined(CONFIG_PSA_WANT_DH_RFC7919_2048)
#define PSA_WANT_DH_RFC7919_2048   1
#endif

#if defined(CONFIG_PSA_WANT_DH_RFC7919_3072)
#define PSA_WANT_DH_RFC7919_3072   1
#endif

#if defined(CONFIG_PSA_WANT_DH_RFC7919_4096)
#define PSA_WANT_DH_RFC7919_4096   1
#endif

#if defined(CONFIG_PSA_WANT_DH_RFC7919_6144)
#define PSA_WANT_DH_RFC7919_6144   1
#endif

#if defined(CONFIG_PSA_WANT_DH_RFC7919_8192)
#define PSA_WANT_DH_RFC7919_8192   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DERIVE)
#define PSA_WANT_KEY_TYPE_DERIVE   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_PASSWORD)
#define PSA_WANT_KEY_TYPE_PASSWORD   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_PASSWORD_HASH)
#define PSA_WANT_KEY_TYPE_PASSWORD_HASH   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_HMAC)
#define PSA_WANT_KEY_TYPE_HMAC   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_AES)
#define PSA_WANT_KEY_TYPE_AES   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ARIA)
#define PSA_WANT_KEY_TYPE_ARIA   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_CAMELLIA)
#define PSA_WANT_KEY_TYPE_CAMELLIA   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_CHACHA20)
#define PSA_WANT_KEY_TYPE_CHACHA20   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DES)
#define PSA_WANT_KEY_TYPE_DES   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_PUBLIC_KEY)
#define PSA_WANT_KEY_TYPE_ECC_PUBLIC_KEY   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DH_PUBLIC_KEY)
#define PSA_WANT_KEY_TYPE_DH_PUBLIC_KEY   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RAW_DATA)
#define PSA_WANT_KEY_TYPE_RAW_DATA   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RSA_PUBLIC_KEY)
#define PSA_WANT_KEY_TYPE_RSA_PUBLIC_KEY   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_BASIC)
#define PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_BASIC   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_IMPORT)
#define PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_IMPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_EXPORT)
#define PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_EXPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_GENERATE)
#define PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_GENERATE   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_DERIVE)
#define PSA_WANT_KEY_TYPE_ECC_KEY_PAIR_DERIVE   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_BASIC)
#define PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_BASIC   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_IMPORT)
#define PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_IMPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_EXPORT)
#define PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_EXPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_GENERATE)
#define PSA_WANT_KEY_TYPE_RSA_KEY_PAIR_GENERATE   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DH_KEY_PAIR_BASIC)
#define PSA_WANT_KEY_TYPE_DH_KEY_PAIR_BASIC   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DH_KEY_PAIR_IMPORT)
#define PSA_WANT_KEY_TYPE_DH_KEY_PAIR_IMPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DH_KEY_PAIR_EXPORT)
#define PSA_WANT_KEY_TYPE_DH_KEY_PAIR_EXPORT   1
#endif

#if defined(CONFIG_PSA_WANT_KEY_TYPE_DH_KEY_PAIR_GENERATE)
#define PSA_WANT_KEY_TYPE_DH_KEY_PAIR_GENERATE   1
#endif

#endif /* CONFIG_PSA_H */
